/* asciidoc.org style */
:root {
  --brand-color-50: #f1fcfe;
  --brand-color-100: #d2f4fd;
  --brand-color-200: #abebfc;
  --brand-color-300: #7ad7ec;
  --brand-color-400: #55bcd4;
  --brand-color-500: #379fb6;
  --brand-color-600: #1f8197;
  --brand-color: var(--brand-color-600); /* alias */
  --brand-color-700: #196d80;
  --brand-color-800: #195866;
  --brand-color-900: #194954;
  --brand-color-1000: #033844;
  --gray-color-100: #f3f4f6;
  --gray-color-200: #e5e7eb;
  --gray-color-300: #a9c6ce;
  --gray-color-500: #6b7280;
  --gray-color-600: #3e3e3e;
  --gray-color-800: #202020;
  --gray-color-900: #18191f;
  --brand-font-primary: "Inter", sans-serif;
  --brand-font-secondary: "Urbanist", sans-serif;
  --monospace-font: "Source Code Pro", monospace;
}

html {
  scroll-behavior: smooth;
}

@media (pointer: fine) {
  html {
    scrollbar-color: var(--brand-color-100) var(--brand-color-700);
  }

  html::-webkit-scrollbar {
    background-color: var(--brand-color-700);
    height: 12px;
    width: 12px;
  }

  html::-webkit-scrollbar-thumb {
    background-clip: padding-box;
    background-color: var(--brand-color-100);
    border: 3px solid transparent;
    border-radius: 12px;
  }

  html::-webkit-scrollbar-thumb:hover {
    background-color: var(--gray-color-300);
  }
}

body * {
  scrollbar-width: thin;
}

body ::-webkit-scrollbar,
body ::-webkit-scrollbar-corner {
  background-color: transparent;
}

body ::-webkit-scrollbar {
  height: 6px;
  width: 6px;
}

body ::-webkit-scrollbar-thumb {
  background-clip: padding-box;
  border: 1.5px solid transparent;
  border-radius: 6px;
}

body {
  font-family: var(--brand-font-primary);
  color: var(--gray-color-800);
  background: #fff linear-gradient(#f9fafb 0%, #fff 35%);
}

@media screen and (min-width: 769px) {
  body {
    background: #f9fafb linear-gradient(#eaeaea 0%, #f9fafb 25%);
  }
}

.header {
  background-color: #fff;
}

.header .menu a {
  color: var(--gray-color-900);
  text-decoration: none;
  font-weight: 500;
  font-size: 1rem;
  line-height: 1.5;
}

.header .logo {
  display: none;
}

.header .navbar-mobile {
  display: flex;
  align-content: center;
  justify-content: space-between;
  padding: 1.25rem;
}

.header .navbar-mobile .close,
.header .navbar-mobile .open {
  cursor: pointer;
}

.header .navbar-mobile .close {
  display: none;
}

.header .navbar-mobile.navbar-open .close {
  display: block;
}

.header .navbar-mobile.navbar-open .open {
  display: none;
}

.header .menu {
  display: none;
  flex-direction: column;
  padding: 0.5rem 2rem 1.25rem;
  gap: 2rem;
  font-family: var(--brand-font-secondary);
  z-index: 1;
}

.header .menu.is-active {
  display: flex;
}

.header .menu a:hover {
  text-decoration: underline;
}

@media screen and (max-width: 767px) {
  .header .menu.is-active {
    position: absolute;
    background: white;
    width: 100%;
    z-index: 99;
    box-shadow: 0 10px 15px -3px hsla(0deg 0% 0% / 10%), 0 4px 6px -2px hsla(0deg 0% 0% / 5%);
  }
}

@media screen and (min-width: 768px) {
  .header {
    background-color: var(--brand-color);
    padding-bottom: 1rem;
    padding-top: 1rem;
    margin-left: 0;
    margin-right: 0;
    z-index: 1;
  }

  .header .menu {
    display: flex;
    flex-direction: row;
    gap: 2.5rem;
    padding: 0.75rem;
    margin-left: auto;
  }

  .header .logo {
    display: block;
  }

  .header .navbar-mobile {
    display: none;
  }

  .header::before {
    content: "";
    position: absolute;
    display: block;
    height: 380px;
    width: 200px;
    top: 10px;
    right: 20px;
    background-image: url("../img/dot-watermark.svg");
    background-repeat: repeat-y;
  }

  .header > nav {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .header .menu a {
    color: white;
    text-decoration: none;
    font-weight: 700;
  }
}

@media screen and (min-width: 1024px) {
  .header .menu {
    flex-direction: row;
    padding: 0.75rem;
    margin-left: auto;
  }
}

@media screen and (min-width: 1120px) {
  .header > nav {
    max-width: 1120px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
}

header .logo {
  font-size: 1.75em;
  margin-top: 1em;
  margin-bottom: 1em;
  display: flex;
  gap: 0.35em;
}

header .logo > img {
  max-height: 1em;
}

.main > .hero {
  background-color: var(--brand-color);
  color: white;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

@media screen and (min-width: 768px) {
  .main > .hero {
    background-image: url("../img/dot-watermark.svg");
    background-repeat: repeat-y;
    background-origin: border-box;
    padding-left: 2rem;
    padding-right: 2rem;
  }
}

@media screen and (min-width: 920px) {
  .main > .hero {
    padding-left: 5rem;
    padding-right: 5rem;
  }
}

@media screen and (min-width: 1024px) {
  .main > .hero {
    padding-left: 7rem;
    padding-right: 7rem;
  }
}

@media screen and (min-width: 1216px) {
  .main > .hero {
    padding-left: 10vw;
    padding-right: 10vw;
  }
}

.main > .hero .content {
  max-width: 1020px;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.main > .hero p {
  font-size: 1.125rem;
  line-height: 1.5;
  position: relative;
  z-index: 10;
}

.main > .hero .imageblock {
  padding-top: 3rem;
}

.main > .hero .imageblock > .content {
  height: 35vw;
  max-height: 400px;
  overflow: hidden;
}

.main > .hero .paragraph + .paragraph {
  margin-top: 2rem;
}

@media screen and (min-width: 768px) {
  .main > .hero {
    text-align: center;
  }

  .main > .hero p {
    text-align: center;
  }
}

.main > .hero .imageblock img {
  filter: drop-shadow(0 5px 20px rgb(0 0 0 / 10%));
}

.hero .paragraph {
  width: 100%;
}

.main h1 {
  font-family: var(--brand-font-secondary);
  font-size: 2.25rem;
  font-weight: 700;
  max-width: 1120px;
  padding-top: 5.5rem;
  padding-bottom: 2.15rem;
  display: flex;
  margin: auto;
  z-index: 10;
  position: relative;
}

@media (min-width: 640px) {
  .main h1 {
    font-size: 2.7rem;
  }
}

@media (min-width: 1024px) {
  .main h1 {
    font-size: 3rem;
  }

  .main > .hero p {
    font-size: 1.25rem;
  }
}

.main .paragraph {
  text-align: justify;
  hyphens: auto;
}

.main h2 {
  color: var(--brand-color-600);
  font-size: 0.875rem;
  text-transform: uppercase;
  padding-top: 2em;
  padding-bottom: 0.75em;
  line-height: 1.15rem;
  letter-spacing: 0.0625rem;
  font-weight: 600;
}

section {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

section.users {
  background-color: #323232;
}

.main section.users > h2 {
  font-family: var(--brand-font-primary);
  font-size: 2rem;
  line-height: normal;
  font-style: normal;
  font-weight: 700;
  letter-spacing: 0;
  text-align: center;
  color: white;
  padding-top: 3.125rem;
  padding-bottom: 0;
  text-transform: none;
}

.companies {
  margin-top: 3.5rem;
  padding-bottom: 4.375rem;
  margin-left: 2rem;
  margin-right: 2rem;
  display: flex;
  justify-content: space-around;
}

.companies > ul {
  display: flex;
  column-gap: 2rem;
  row-gap: 3rem;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.companies > ul p {
  line-height: normal;
}

.companies img {
  height: 1.75rem;
}

.companies span.image {
  display: flex;
}

.companies .vmware img {
  height: 1.25rem;
}

@media screen and (max-width: 768px) {
  .companies {
    margin-top: 4.25rem;
  }

  section.users {
    padding-right: 2rem;
    padding-left: 2rem;
  }
}

@media screen and (max-width: 479px) {
  .companies {
    margin-left: 0;
    margin-right: 0;
  }

  section.users {
    padding-right: 1rem;
    padding-left: 1rem;
  }
}

section.about {
  color: #272e3b;
  padding-top: 3rem;
  padding-bottom: 3rem;
}

section.about .columns {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

@media screen and (min-width: 1024px) {
  section.about {
    background-image: url("../img/grid-watermark.png");
    background-repeat: no-repeat;
    background-position: right 2.595rem;
    max-width: 1120px;
    padding-top: 9rem;
    padding-bottom: 9rem;
    margin: auto;
  }

  section.about .columns {
    flex-direction: row;
    justify-content: flex-end;
    gap: 4.5rem;
  }
}

@media screen and (min-width: 1360px) {
  section.about {
    max-width: 1360px;
    padding-left: 144px;
  }
}

@media screen and (min-width: 1216px) {
  section.about .columns {
    gap: 8rem;
  }
}

@media screen and (min-width: 1408px) {
  section.about .columns > .column:first-child {
    margin-left: auto;
    margin-right: auto;
  }
}

section.about .columns > .column:first-child {
  display: flex;
  flex-direction: column;
  flex: 0 0 40%;
}

section.about .columns > .column:nth-child(2) {
  max-width: 1024px;
  display: flex;
  justify-content: flex-end;
}

section.about .imageblock img {
  border-radius: 5px 5px 0 0;
  filter: drop-shadow(0 5px 20px rgb(0 0 0 / 10%));
  width: 100%;
}

section.about .imageblock.book img {
  border-radius: 0;
  filter: none;
  margin-top: -0.75rem;
  margin-bottom: 0.75rem;
}

section.about .tab-pane .imageblock {
  margin-top: 1.5rem;
}

.main section h2 {
  padding-bottom: 1.15rem;
}

.main section h3 {
  padding-bottom: 1.25rem;
}

section.about h2 {
  grid-column: 1;
  padding-top: 0;
}

@media screen and (min-width: 1024px) {
  section.about h2 {
    padding-top: 1.5rem;
  }
}

section.about h3 {
  max-width: 440px;
  line-height: normal;
  padding-bottom: 1.5rem;
}

section h2 {
  font-family: var(--brand-font-secondary);
}

section.try h2 {
  color: rgb(255 255 255 / 70%);
  padding-top: 0;
  max-width: 1120px;
  margin-left: auto;
  margin-right: auto;
}

section.try {
  color: white;
  background-color: var(--brand-color);
  padding: 3rem 0;
}

@media screen and (min-width: 1024px) {
  section.try {
    padding-top: 5.75rem;
    background-image: url("../img/grid-watermark-sm.png");
    background-repeat: no-repeat;
    background-position-y: -2rem;
    background-position-x: calc(50% - 1120px / 2 + 225px);
  }
}

section.try > .container {
  max-width: 1120px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

section.try h3 {
  max-width: 600px;
  padding-bottom: 1.5rem;
}

section.try .paragraph {
  max-width: 925px;
}

section.try .paragraph:not(:last-child) {
  margin-bottom: 3rem;
}

section.try .toggle {
  display: none;
  cursor: pointer;
}

#editorCode {
  color: var(--gray-color-800);
  font-size: 1rem;
  min-height: 300px;
}

#editorCode .cm-editor {
  max-height: 380px;
}

#editorCode .cm-editor.cm-focused {
  outline: none;
}

#editorCode .cm-scroller {
  font-family: var(--monospace-font);
}

#editorCode .cm-scroller,
#editorPreview {
  overscroll-behavior: none;
  scrollbar-color: var(--brand-color-500) transparent;
}

#editorCode .cm-scroller::-webkit-scrollbar-thumb,
#editorPreview::-webkit-scrollbar-thumb {
  background-color: var(--brand-color-500);
}

#editorCode .cm-scroller::-webkit-scrollbar-thumb:hover,
#editorPreview::-webkit-scrollbar-thumb:hover {
  background-color: var(--brand-color-600);
}

#editorPreview h1,
#editorPreview h2,
#editorPreview h3 {
  color: var(--brand-color-700);
}

#editorPreview {
  border-left: 3px solid var(--gray-color-200);
  border-radius: 0 5px 5px 0;
  color: var(--gray-color-800);
  padding-left: 1rem;
  padding-right: 1rem;
  overflow-x: auto;
  padding-bottom: 1.5rem;
}

#editorPreview * {
  all: revert;
}

#editorPreview .hljs {
  color: #333;
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  background: #ebebeb;
}

/* stylelint-disable selector-class-pattern */
#editorPreview .hljs-doctag,
#editorPreview .hljs-keyword,
#editorPreview .hljs-meta #editorPreview .hljs-keyword,
#editorPreview .hljs-template-tag,
#editorPreview .hljs-template-variable,
#editorPreview .hljs-type,
#editorPreview .hljs-variable.language_ {
  color: #d73a49;
}

#editorPreview .hljs-title,
#editorPreview .hljs-title.class_,
#editorPreview .hljs-title.class_.inherited__,
#editorPreview .hljs-title.function_ {
  color: #6f42c1;
}

#editorPreview .hljs-attr,
#editorPreview .hljs-attribute,
#editorPreview .hljs-literal,
#editorPreview .hljs-meta,
#editorPreview .hljs-number,
#editorPreview .hljs-operator,
#editorPreview .hljs-selector-attr,
#editorPreview .hljs-selector-class,
#editorPreview .hljs-selector-id,
#editorPreview .hljs-variable {
  color: #005cc5;
}

#editorPreview .hljs-meta #editorPreview .hljs-string,
#editorPreview .hljs-regexp,
#editorPreview .hljs-string {
  color: #718c00;
}

#editorPreview .hljs-built_in,
#editorPreview .hljs-symbol {
  color: #e36209;
}

#editorPreview .hljs-code,
#editorPreview .hljs-comment,
#editorPreview .hljs-formula {
  color: #6a737d;
}

#editorPreview .hljs-name,
#editorPreview .hljs-quote,
#editorPreview .hljs-selector-pseudo,
#editorPreview .hljs-selector-tag {
  color: #22863a;
}

#editorPreview .hljs-subst {
  color: #24292e;
}

#editorPreview .hljs-section {
  color: #005cc5;
  font-weight: 700;
}

#editorPreview .hljs-bullet {
  color: #735c0f;
}

#editorPreview .hljs-emphasis {
  color: #24292e;
  font-style: italic;
}

#editorPreview .hljs-strong {
  color: #24292e;
  font-weight: 700;
}

#editorPreview .hljs-addition {
  color: #22863a;
  background-color: #f0fff4;
}

#editorPreview .hljs-deletion {
  color: #b31d28;
  background-color: #ffeef0;
}

/* stylelint-enable selector-class-pattern */

#editor {
  padding: 0.5rem;
  margin: 1rem auto;
  background-color: #f9fafb;
  box-shadow: 0 7px 7px rgb(0 0 0 / 10%), 0 -2px 3px rgb(0 0 0 / 13%);
  border-radius: 5px;
}

#editor .cm-content {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

#editor .cm-content .cm-line {
  padding-left: 0.75rem;
}

#editor .cm-gutter {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

@media screen and (min-width: 920px) {
  #editor {
    display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
    grid-template-rows: 380px;
  }
}

@media screen and (max-width: 919px) {
  #editorPreview {
    border-left: none;
    border-top: 5px solid #f0f0f0;
    padding-top: 0.5rem;
    margin-top: 1rem;
  }
}

@media screen and (max-width: 768px) {
  section.try .toggle {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  section.try .toggle > a {
    display: flex;
    justify-content: center;
    padding: 0.75rem 0;
    border-top: 1px solid white;
    border-bottom: 1px solid white;
  }

  section.try .toggle > a.is-active {
    background-color: white;
    color: var(--gray-color-800);
  }

  section.try .toggle > a:first-child {
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    border-left: 1px solid white;
  }

  section.try .toggle > a:last-child {
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
    border-right: 1px solid white;
  }

  section.try .toggleset .content > * {
    display: none;
  }

  section.try .toggleset .content > .is-active {
    display: block;
  }

  #editorPreview {
    border-top: none;
    margin-top: 0;
    padding-top: 0;
  }
}

span.attn {
  text-decoration: underline 0.5px dashed rgba(255 255 255 / 50%);
  text-underline-offset: 15%;
}

/* compare */
section.compare {
  max-width: 1120px;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 4rem;
}

section.compare h3 {
  max-width: 600px;
}

section.compare h2 {
  padding-top: 3rem;
}

@media screen and (min-width: 1024px) {
  section.compare h2 {
    padding-top: 7rem;
  }

  section.compare {
    padding-bottom: 6rem;
  }
}

section.compare .sectionbody > .paragraph {
  max-width: 800px;
}

section.compare > .content > .tabset {
  padding-top: 2.25rem;
}

section.compare > .content > .tabset > .content {
  padding-left: 0.25rem;
}

section.compare .tabset h4 {
  padding-top: 2rem;
}

@media screen and (min-width: 920px) {
  section.compare > .content > .tabset > .content > .tab-pane.is-active {
    display: grid;
    grid-template-rows: min-content max-content 1fr;
    grid-auto-flow: column;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
    gap: 0 1rem;
  }
}

section.compare .tabset .tab-pane h4 {
  font-family: var(--brand-font-secondary);
  font-style: normal;
  font-weight: bold;
  font-size: 1.75rem;
  line-height: 36px;
  padding-bottom: 0.75rem;
}

section.compare .tabset .paragraph {
  color: rgb(17 24 39 / 85%);
  padding: 0 0.5em;
}

section.compare .tabset > .content .title {
  font-family: var(--brand-font-secondary);
  line-height: 1.5rem;
  font-size: 1.9rem;
  letter-spacing: 0.015em;
  font-weight: 700;
  padding-bottom: 1.5rem;
}

section.compare .tabset p {
  font-size: 1rem;
  line-height: 1.6;
}

section.specifications {
  color: white;
  padding-right: 0;
  padding-left: 0;
}

section.specifications > .container {
  background-color: var(--brand-color);
  padding: 3rem 1.5rem;
}

@media screen and (min-width: 640px) {
  section.specifications > .container {
    padding-left: 2.625rem;
    padding-right: 2.625rem;
    border-radius: 1rem;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
  }
}

@media (min-width: 1024px) {
  section.specifications > .container {
    padding-left: 7.5rem;
    padding-right: 13rem;
  }
}

@media (min-width: 1184px) {
  section.specifications {
    margin: 0 auto;
    max-width: 1120px;
  }
}

section.specifications h2 {
  color: white;
  padding-top: 0;
  letter-spacing: 1px;
  padding-bottom: 1.25rem;
}

section.specifications h3 {
  font-size: 2.25rem;
  font-style: normal;
  font-weight: 700;
  letter-spacing: 0;
  color: white;
  text-transform: none;
  line-height: normal;
  max-width: 600px;
  padding-bottom: 1.5rem;
}

section.specifications a {
  color: white;
  text-decoration: underline;
}

section.specifications a:hover {
  text-decoration: none;
}

section.specifications a.action {
  margin-top: 1.5rem;
  font-weight: 500;
}

section.specifications .paragraph:not(:last-child) {
  padding-bottom: 1.5rem;
}

section.specifications .actions > p {
  display: flex;
  justify-content: space-around;
}

section.specifications a.action.engage::before {
  content: "";
  background: url("../img/engage.svg") no-repeat center;
  width: 1rem;
  height: 1rem;
  margin-right: 0.5rem;
}

section.specifications a.action.engage,
section.specifications a.action.chat {
  display: flex;
  align-items: center;
}

section.specifications a.action.engage::after,
section.specifications a.action.chat::after {
  display: none;
}

section.specifications a.action.chat::before {
  content: "";
  background: url("../img/chat-white.svg") no-repeat center;
  width: 1rem;
  height: 1rem;
  margin-right: 0.5rem;
}

/* tools */
section.tools {
  margin-top: 3rem;
  padding-bottom: 5.75rem;
  max-width: 1360px;
}

section.tools h2 {
  padding-top: 0;
  padding-bottom: 1.5rem;
}

section a.action:hover {
  text-decoration: underline;
}

section a.action:hover::after {
  text-decoration: none;
}

section.tools a.explore {
  font-size: 1rem;
  text-align: left;
  color: var(--brand-color);
  border: 1px solid var(--brand-color);
  border-radius: 5px;
  padding: 1rem;
  text-decoration: none;
  width: fit-content;
  margin: 2rem auto auto;
}

section.tools a.explore:hover {
  text-decoration: none;
  color: white;
  background-color: var(--brand-color);
}

section.tools a.explore::before {
  content: "";
  background: url("../img/convert.svg") no-repeat center;
  width: 1.5rem;
  height: 1.5rem;
  margin-right: 0.5rem;
}

section.tools a.explore:hover::before {
  background-image: url("../img/convert-white.svg");
}

section.tools a.explore:hover::after {
  background-image: url("../img/arrow-right-long-white.svg");
}

section a.action {
  display: flex;
  text-decoration: none;
}

section a.action::after {
  content: "";
  background-image: url("../img/arrow-right-long.svg");
  display: flex;
  background-repeat: no-repeat;
  background-position: center;
  margin-left: 1rem;
  background-size: contain;
  width: 1.5rem;
}

.specifications a.action::after {
  background-image: url("../img/arrow-right-long-white.svg");
}

.specifications a.action {
  font-size: 1rem;
}

.tools a.action {
  font-size: 0.85rem;
  font-weight: 500;
}

.tools a.action::after {
  width: 1.15rem;
}

section.tools h3 {
  padding-bottom: 3.125rem;
}

section.tools .cards {
  margin-bottom: 4rem;
  display: grid;
  grid-auto-flow: row;
  row-gap: 1.25rem;
}

section.tools .cards > .card {
  background: #fff;
  box-shadow: 0 4px 40px rgb(0 0 0 / 10%);
  border-radius: 5px;
  padding: 3.25rem 3rem;
  z-index: 1;
  overflow: hidden;
  position: relative;
}

section.tools .cards > .card p {
  font-size: 1rem;
  line-height: 1.625rem;
  color: var(--gray-color-600);
}

@media screen and (min-width: 640px) {
  section.tools .cards {
    row-gap: 2rem;
  }
}

@media screen and (min-width: 1024px) {
  section.tools .cards {
    display: grid;
    grid-auto-columns: 1fr;
    grid-auto-flow: column;
    grid-gap: 0.25rem 1.25rem;
  }
}

@media screen and (min-width: 1280px) {
  section.tools .cards {
    grid-gap: 0.25rem 2rem;
  }

  section.tools .cards > .card {
    padding: 4rem 4.25rem;
  }
}

section.tools .cards > .card::after {
  content: "";
  position: absolute;
  width: 144%;
  height: 135%;
  z-index: -1;
  background-repeat: no-repeat;
  background-size: cover;
  top: -61px;
  left: -94px;
}

section.tools .cards > .card svg {
  height: 2rem;
  margin-bottom: 3.5rem;
}

section.tools .cards > .card h3::before {
  content: "";
  height: 2rem;
  width: 2rem;
  display: block;
  background-repeat: no-repeat;
  background-position: center;
}

section.tools .cards > .card:nth-child(1) h3::before {
  background-image: url("../img/author.svg");
}

section.tools .cards > .card:nth-child(2) h3::before {
  background-image: url("../img/convert.svg");
}

section.tools .cards > .card:nth-child(3) h3::before {
  background-image: url("../img/publish.svg");
}

section.tools .cards > .card h3 {
  font-size: 1.5rem;
  font-weight: 600;
  line-height: 1.75rem;
  padding-bottom: 1rem;
  font-family: var(--brand-font-primary);
  color: var(--gray-color-600);
  display: grid;
  gap: 3rem;
  justify-content: start;
}

section.tools .cards > .card a {
  color: var(--brand-color);
}

@media screen and (min-width: 769px) {
  section.tools h2 {
    text-align: center;
  }

  section.tools h3 {
    text-align: center;
  }
}

@media screen and (min-width: 1024px) {
  section.tools {
    margin-top: 6.125rem;
    padding-bottom: 6.125rem;
    margin-left: auto;
    margin-right: auto;
  }

  section.tools h3 {
    padding-bottom: 5.75rem;
  }
}

/* docs */
section.docs {
  color: white;
  background-color: var(--brand-color-100);
  padding-bottom: 4.5rem;
}

section.docs h2 {
  font-size: 2.125rem;
  font-style: normal;
  font-weight: 700;
  letter-spacing: 0;
  color: var(--gray-color-800);
  padding-top: 4rem;
  padding-bottom: 2.625rem;
  text-transform: none;
  line-height: normal;
  margin: auto auto 0;
  text-align: center;
}

@media screen and (min-width: 1024px) {
  section.docs h2 {
    font-size: 3rem;
    line-height: 4rem;
    max-width: 780px;
    padding-bottom: 1.875rem;
  }
}

section.docs .content {
  display: flex;
  justify-content: center;
}

section.docs a {
  color: white;
  display: flex;
  align-items: center;
  border: 1px solid var(--brand-color-700);
  border-radius: 5px;
  padding: 0.875rem 1.5rem;
  text-decoration: none;
  background-color: var(--brand-color-700);
  font-weight: 500;
  font-size: 1rem;
  line-height: 1.5;
  font-family: var(--brand-font-secondary);
  letter-spacing: 0.015em;
}

section.docs a::after {
  display: none;
}

section.docs a:hover {
  background-color: white;
  color: var(--brand-color-700);
  border-color: white;
}

section.docs a.chat {
  color: var(--brand-color-700);
  border: 1px solid var(--brand-color-700);
  background-color: transparent;
  letter-spacing: 0.015em;
}

section.docs a.chat:hover {
  background-color: white;
  color: var(--brand-color-700);
  border-color: white;
  text-decoration: none;
}

section.docs a.chat::before {
  content: "";
  background: url("../img/chat-color.svg") no-repeat center;
  width: 1rem;
  height: 1rem;
  margin-right: 0.5rem;
}

section.docs .actions > p {
  display: flex;
  gap: 1rem;
}

.main h3 {
  font-family: var(--brand-font-secondary);
  font-size: 2.25rem;
  font-weight: 700;
  padding-bottom: 0.5em;
}

.main a.button {
  font-size: 1.15rem;
  text-decoration: none;
  margin-bottom: 0.5rem;
  background-color: white;
  box-shadow: 0 1px 3px rgb(0 0 0 / 10%), 0 1px 2px rgb(0 0 0 / 6%);
  color: var(--brand-color-700);
  cursor: pointer;
  text-align: center;
  white-space: nowrap;
  border-radius: 0.375em;
  display: flex;
  justify-content: center;
  padding: calc(1.25rem - 1px) calc(2.5rem - 1px) calc(1.25rem - 1px) calc(2.5rem - 1px);
  font-weight: 500;
  font-family: var(--brand-font-primary);
}

@media screen and (max-width: 768px) {
  .main a.button:not(:last-child) {
    margin-bottom: 1.25rem;
  }
}

@media screen and (min-width: 768px) {
  .main a.button {
    display: inline-flex;
  }

  .main a.button + a.button {
    margin-left: 0.5rem;
  }
}

.main .paragraph + .paragraph {
  margin-top: 1rem;
}

.main a.button.invert {
  background-color: transparent;
  color: white;
  border: 1px solid white;
}

.main p {
  font-size: 1.0625rem;
  line-height: 1.5;
}

.main p:not(:last-child) {
  padding-bottom: 1.5em;
}

.footer {
  font-size: 0.875rem;
  color: var(--brand-color-200);
}

.footer .asciidoc {
  background-color: var(--brand-color-800);
  display: grid;
  column-gap: 5rem;
  row-gap: 2rem;
  padding-bottom: 3.125rem;
  padding-top: 3.375rem;
}

.footer .eclipse::before {
  content: "";
  display: block;
  border-top: 1.5px solid rgb(255 255 255 / 40%);
  width: calc(100% - 4rem);
  position: absolute;
  margin: 0 auto;
  top: -1.5px;
  left: 0;
  right: 0;
}

.footer .eclipse {
  position: relative;
  background-color: var(--brand-color-900);
  display: grid;
  padding-top: 2rem;
  padding-bottom: 3rem;
}

.footer .eclipse,
.footer .asciidoc {
  grid-template-columns: 250px 250px 250px 250px;
  justify-content: start;
  padding-right: 2rem;
  padding-left: 2rem;
}

.footer .asciidoc .brand {
  display: flex;
  align-items: center;
}

.footer .eclipse .copyright {
  grid-column: span 3;
  padding-top: 4rem;
  color: var(--brand-color-100);
  line-height: 1.5;
  opacity: 0.5;
}

.footer .eclipse .copyright span.made {
  display: none;
}

.footer .eclipse .copyright span.copy ~ span {
  display: block;
  margin-top: 0.125em;
}

@media screen and (min-width: 480px) and (max-width: 767px) {
  .footer .eclipse,
  .footer .asciidoc {
    grid-template-columns: 175px 175px;
    column-gap: 2rem;
    padding-right: 2rem;
    padding-left: 2rem;
  }
}

@media screen and (max-width: 479px) {
  .footer .eclipse,
  .footer .asciidoc {
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
    padding-right: 1.25rem;
    padding-left: 1.25rem;
  }
}

@media screen and (max-width: 767px) {
  .footer .category.work,
  .footer .category.ecosystem {
    grid-row: 2;
  }

  .footer .category.documentation {
    grid-row: 3;
    grid-column: span 2;
  }

  .footer .category.links,
  .footer .category.other {
    grid-row: 2;
  }

  .footer .eclipse {
    row-gap: 2rem;
  }

  .footer .eclipse .copyright {
    grid-column: span 2;
    grid-row: 3;
    padding-top: 0.25rem;
    max-width: 80%;
  }

  .footer .eclipse .social {
    grid-row: 4;
    grid-column: span 2;
    justify-content: start;
    padding-top: 0;
  }

  .footer .social ul {
    column-gap: 1rem;
  }
}

@media screen and (min-width: 768px) {
  .footer .eclipse,
  .footer .asciidoc {
    grid-template-columns: 150px 150px 150px 150px;
    column-gap: 2rem;
  }

  .footer .eclipse .copyright span.trademarks {
    display: block;
    margin-top: 0.25em;
  }

  .footer .eclipse .copyright span.made,
  .footer .eclipse .copyright span.copy {
    display: initial;
  }
}

@media screen and (min-width: 1024px) {
  .footer .eclipse,
  .footer .asciidoc {
    grid-template-columns: 200px 175px 175px 175px;
    column-gap: 4rem;
    justify-content: center;
  }
}

@media screen and (min-width: 1408px) {
  .footer .eclipse,
  .footer .asciidoc {
    /* must be 1120px
    /* columns: 4 * 208px = 832px */
    /* gap: 5rem * 3 = 15 * 16px = 240px */
    /* padding: 1.5rem * 2 = 3 * 16px = 48px */
    grid-template-columns: 208px 208px 208px 208px;
    column-gap: 5rem;
  }
}

.footer .category h4 {
  font-family: var(--brand-font-primary);
  font-size: 1rem;
  font-weight: 700;
  line-height: 1.625rem;
  letter-spacing: 0;
  color: var(--brand-color-100);
  padding-bottom: 1rem;
}

.footer .category ul {
  display: grid;
  row-gap: 0.5rem;
  line-height: 1.5;
}

.footer .category li {
  padding: 0.25em 0;
}

.footer a {
  color: var(--brand-color-200);
  text-decoration: none;
}

.footer a:hover {
  text-decoration: underline;
}

.footer .asciidoc .brand img {
  vertical-align: middle;
  max-height: 2.75rem;
}

.footer .social {
  display: grid;
  padding-top: 4em;
}

.footer .social ul {
  display: grid;
  grid-auto-flow: column;
  justify-content: space-evenly;
  align-items: center;
}

.footer .social-media-link {
  height: 1.5rem;
  width: 1.5rem;
  display: block;
  background-repeat: no-repeat;
  background-size: auto;
  background-position: center;
}

.footer .social .linkedin {
  background-image: url("../img/linkedin.svg");
}

.footer .social .youtube {
  background-image: url("../img/youtube.svg");
}

.footer .social .twitter {
  background-image: url("../img/twitter.svg");
}

.footer .social .facebook {
  background-image: url("../img/facebook.svg");
}

/* tabs */
.tabs {
  margin-bottom: -1px;
}

.tabs ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  padding: 0;
  column-gap: 1.25rem;
  row-gap: 2rem;
  border-bottom: 1px solid var(--gray-color-200);
}

.tabs li {
  align-items: center;
  cursor: pointer;
  display: flex;
  font-weight: 500;
  height: 2.5rem;
  padding: 1.575rem 0.5rem;
  position: relative;
  font-family: var(--brand-font-primary);
  border-bottom: 2px solid transparent;
}

.tabs li.is-active {
  border-bottom: 2px solid var(--brand-color-500);
  color: var(--brand-color-500);
}

.tabs li:not(.is-active):hover {
  border-bottom: 2px solid rgb(107 114 128 / 20%);
}

.tabs.ulist li p {
  font-size: 0.875rem;
  line-height: 1.1rem;
}

.tabs li + li {
  margin-top: 0;
}

.tabset > .select {
  display: none;
  height: 2.5em;
  width: 100%;
  position: relative;
  vertical-align: top;
}

.tabset > .select::after {
  right: 1.125em;
  z-index: 4;
  border: 3px solid var(--gray-color-500);
  border-radius: 2px;
  border-right: 0;
  border-top: 0;
  content: " ";
  display: block;
  height: 0.625em;
  margin-top: -0.4375em;
  pointer-events: none;
  position: absolute;
  top: 50%;
  transform: rotate(-45deg);
  transform-origin: center;
  width: 0.625em;
}

.tabset > .select > select {
  font-family: var(--brand-font-primary);
  width: 100%;
  cursor: pointer;
  display: block;
  max-width: 100%;
  outline: 0;
  background-color: #fff;
  color: #363636;
  appearance: none;
  align-items: center;
  border: 1px solid #dbdbdb;
  border-radius: 0.375em;
  box-shadow: none;
  font-size: 1rem;
  height: 2.5em;
  justify-content: flex-start;
  line-height: 1.5;
  padding: calc(0.5em - 1px) 2.5em calc(0.5em - 1px) calc(0.75em - 1px);
  position: relative;
  vertical-align: top;
}

@media screen and (max-width: 767px) {
  .tabset > .select {
    display: inline-block;
  }

  .tabset > .select ~ .ulist {
    display: none;
  }
}

.tabset.is-loading .tabs li:not(:first-child),
.tabset:not(.is-loading) .tabs li:not(.is-active) {
  color: var(--gray-color-500);
}

.tabset.is-loading .tab-pane:not(:first-child),
.tabset:not(.is-loading) .tab-pane:not(.is-active) {
  display: none;
}

.tab-pane > :first-child {
  margin-top: 0;
}

.listingblock {
  margin-top: 1.5rem;
}

.listingblock > .content {
  padding: 0.5rem 1rem;
  height: 450px;
  overflow: auto;
  color: #f8f8f2;
}

.listingblock > .content pre {
  white-space: pre-wrap;
}

.paragraph:not(:last-child) {
  padding-bottom: 1rem;
}

/* editor */
.from .listingblock.editor {
  background-color: #d9dde2;
}

.listingblock.editor {
  margin-bottom: 1rem;
  background-color: #1e293b;
  border-radius: 0 0 5px 5px;
  padding-bottom: 0.65em;
  padding-top: 0.62em;
}

.listingblock.editor > .content {
  overscroll-behavior: none;
}

.to .listingblock.editor > .content {
  scrollbar-color: #7dd3fc transparent;
}

.from .listingblock.editor > .content {
  scrollbar-color: #5a6a81 transparent;
}

.to .listingblock.editor > .content::-webkit-scrollbar-thumb {
  background-color: #7dd3fc;
}

.from .listingblock.editor > .content::-webkit-scrollbar-thumb {
  background-color: #5a6a81;
}

.editor-content > .tabset {
  padding: 0;
  margin: 0;
}

.editor-content .tabs {
  border-radius: 0 5px 0 0;
}

.to .editor-content .tabset > .tabs {
  background-color: #1e293b;
}

.from .editor-content .tabset > .tabs {
  background-color: #d9dde2;
}

.editor-content .tabs ul {
  gap: 0.5rem;
}

.editor-content .tabset > .content {
  padding: 0;
}

.editor-content .tabs li {
  color: white;
  border-radius: 0;
  font-weight: normal;
}

.editor-content .tabs.ulist li {
  padding: 1.25rem;
}

.from .editor-content .tabs li {
  color: #343d4b;
}

.to .editor-content .tabs li {
  color: #7dd3fc;
}

.editor-content .tabs li.is-active {
  background-color: initial;
  border-bottom: 1px solid;
}

.listingblock.editor .hljs {
  background-color: transparent;
  overflow: visible;
}

.exampleblock.compare > .content {
  display: flex;
  gap: 1rem;
}

code,
kbd,
pre,
samp {
  font-family: var(--monospace-font);
  font-weight: 400;
}

pre code.hljs {
  background: transparent;
  padding: 0;
}

.hljs-section {
  color: #f92672;
}

.hljs-code {
  color: #7dd3fc;
}

.hljs-symbol {
  color: #a6e22e;
}

.hljs-strong,
.hljs-emphasis {
  color: #94a3b8;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta,
.hljs-meta-string {
  color: #94a3b8;
}

.hljs-title,
.hljs-section,
.hljs-keyword,
.hljs-attribute,
.hljs-selector-tag,
.hljs-doctag,
.hljs-name {
  font-weight: 600;
}

.hljs-meta-keyword {
  font-weight: 400;
}

.hljs-strong {
  font-weight: 600;
}

.from .hljs,
.from .hljs-emphasis,
.from .hljs-symbol,
.from .from .hljs-subst,
.from .hljs-tag,
.from .hljs-section,
.from .hljs-name,
.from .hljs-string,
.from .hljs-attr,
.from .hljs-bullet,
.from .hljs-strong,
.from .hljs-code,
.from .hljs-link,
.from .hljs-quote {
  color: #343d4b;
}

.from .hljs-title,
.from .hljs-section,
.from .hljs-keyword,
.from .hljs-attribute,
.from .hljs-selector-tag,
.from .hljs-doctag,
.from .hljs-name {
  font-weight: 500;
}

.hljs-ln td.hljs-ln-numbers {
  padding-right: 1rem;
}

.hljs-ln td.hljs-ln-numbers > .hljs-ln-n {
  min-width: 20px;
}

.hljs-ln-numbers {
  user-select: none;
  text-align: center;
  color: #475569;
  vertical-align: top;
  padding-right: 5px;
}

.from .hljs-ln-numbers {
  color: #94a3b8;
}

.hljs-ln-code {
  padding-left: 10px;
}

i.fa[class^="icon-"],
i.fa[class*=" icon-"]::before {
  content: "";
  height: 100%;
  width: 1.75rem;
  margin-left: -0.5rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.5em 0 0 0.5em;
  background: rgb(0 0 0 / 20%);
}

i.fa.icon-important::before {
  content: "\f12a";
}

i.fa.icon-note::before {
  content: "\f129";
}

i.fa.icon-tip::before {
  content: "\f0eb";
}

i.fa.icon-caution::before {
  content: "\f06d";
}

i.fa.icon-warning::before {
  content: "\f071";
}
